
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>程序中hibernate怎样实现多个数据库多表互相联查 / iVAN</title>

    <meta name="description" content="程序中hibernate怎样实现多个数据库多表互相联查 问题描述 框架用的SpringMVC+Hibernate4,现在用了两个数据库,都是Oracle数据库,用的的dblink的方式实现的不同的数据库的表可以互相联查.在A数据库中建B数据库的表的link.但是最近总出现一些问题,程序运行一段时间后,自己连不上数据库了,WebLogic服务也没停,但是重启WebLogic后就一切正常.过段时间后又会出现连不上数据库的问题.下面是后台出错日志.所以就想换一种方式连接数据库.要求就是A数据库和B数据库的表可以互相联查,不是网上说的那种一会儿切换到A库,一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">程序中hibernate怎样实现多个数据库多表互相联查</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>框架用的SpringMVC+Hibernate4，现在用了两个数据库，都是Oracle数据库,用的的dblink的方式实现的不同的数据库的表可以互相联查。在A数据库中建B数据库的表的link。但是最近总出现一些问题，程序运行一段时间后,自己连不上数据库了，WebLogic服务也没停，但是重启WebLogic后就一切正常。过段时间后又会出现连不上数据库的问题。下面是后台出错日志。所以就想换一种方式连接数据库。要求就是A数据库和B数据库的表可以互相联查，不是网上说的那种一会儿切换到A库，一会儿切换到B库。不知道用什么方式，希望有这方面的经验的大神能提供点建议。下面是后台报错信息，在网上也搜索了，很多人都没解决这错误，我也准备放弃了。WARN:org.hibernate.engine.jdbc.spi.SqlExceptionHelper-SQLError:17410,SQLState:08000ERROR:org.hibernate.engine.jdbc.spi.SqlExceptionHelper-无法从套接字读取更多的数据DEBUG:com.hshunion.pews.model.dao.BaseHibernateDAO-executesqlerror....org.hibernate.exception.JDBCConnectionException:无法从套接字读取更多的数据atorg.hibernate.exception.internal.SQLStateConversionDelegate.convert(SQLStateConversionDelegate.java:131)atorg.hibernate.exception.internal.StandardSQLExceptionConverter.convert(StandardSQLExceptionConverter.java:49)atorg.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:125)atorg.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:110)atorg.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler.continueInvocation(AbstractStatementProxyHandler.java:129)atorg.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler.invoke(AbstractProxyHandler.java:81)at$Proxy76.executeQuery(UnknownSource)atorg.hibernate.loader.Loader.getResultSet(Loader.java:1962)atorg.hibernate.loader.Loader.doQuery(Loader.java:829)atorg.hibernate.loader.Loader.doQueryAndInitializeNonLazyCollections(Loader.java:289)atorg.hibernate.loader.Loader.doList(Loader.java:2447)atorg.hibernate.loader.Loader.doList(Loader.java:2433)atorg.hibernate.loader.Loader.listIgnoreQueryCache(Loader.java:2263)atorg.hibernate.loader.Loader.list(Loader.java:2258)atorg.hibernate.loader.custom.CustomLoader.list(CustomLoader.java:331)atorg.hibernate.internal.SessionImpl.listCustomQuery(SessionImpl.java:1697)atorg.hibernate.internal.AbstractSessionImpl.list(AbstractSessionImpl.java:225)atorg.hibernate.internal.SQLQueryImpl.list(SQLQueryImpl.java:156)atcom.hshunion.pews.model.dao.BaseHibernateDAO.getListBysql(BaseHibernateDAO.java:116)atcom.hshunion.pews.service.CdorgainService.getOrginfoList(CdorgainService.java:35)atcom.hshunion.pews.service.CdorgainService$$FastClassByCGLIB$$3825368b.invoke(&lt;generated&gt;)atnet.sf.cglib.proxy.MethodProxy.invoke(MethodProxy.java:191)atorg.springframework.aop.framework.Cglib2AopProxy$CglibMethodInvocation.invokeJoinpoint(Cglib2AopProxy.java:689)atorg.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:150)atorg.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:110)atorg.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)atorg.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:90)atorg.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)atorg.springframework.aop.framework.Cglib2AopProxy$DynamicAdvisedInterceptor.intercept(Cglib2AopProxy.java:622)atcom.hshunion.pews.service.CdorgainService$$EnhancerByCGLIB$$77d80d97.getOrginfoList(&lt;generated&gt;)atcom.hshunion.pews.web.controller.CdorgainColltroller.getTheMain(CdorgainColltroller.java:52)atsun.reflect.NativeMethodAccessorImpl.invoke0(NativeMethod)atsun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)atsun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)atjava.lang.reflect.Method.invoke(Method.java:616)atorg.springframework.web.method.support.InvocableHandlerMethod.invoke(InvocableHandlerMethod.java:213)atorg.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:126)atorg.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:96)atorg.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:617)atorg.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:578)atorg.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:80)atorg.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:923)atorg.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:852)atorg.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:882)atorg.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:778)atjavax.servlet.http.HttpServlet.service(HttpServlet.java:707)atjavax.servlet.http.HttpServlet.service(HttpServlet.java:820)atweblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:227)atweblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:125)atweblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:300)atweblogic.servlet.internal.TailFilter.doFilter(TailFilter.java:26)atweblogic.servlet.internal.FilterChainImpl.doFilter(FilterChainImpl.java:56)atorg.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:88)atorg.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:76)atweblogic.servlet.internal.FilterChainImpl.doFilter(FilterChainImpl.java:56)atweblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.doIt(WebAppServletContext.java:3684)atweblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.run(WebAppServletContext.java:3650)atweblogic.security.acl.internal.AuthenticatedSubject.doAs(AuthenticatedSubject.java:321)atweblogic.security.service.SecurityManager.runAs(SecurityManager.java:121)atweblogic.servlet.internal.WebAppServletContext.securedExecute(WebAppServletContext.java:2268)atweblogic.servlet.internal.WebAppServletContext.execute(WebAppServletContext.java:2174)atweblogic.servlet.internal.ServletRequestImpl.run(ServletRequestImpl.java:1446)atweblogic.work.ExecuteThread.execute(ExecuteThread.java:201)atweblogic.work.ExecuteThread.run(ExecuteThread.java:173)Causedby:java.sql.SQLRecoverableException:无法从套接字读取更多的数据atoracle.jdbc.driver.SQLStateMapping.newSQLException(SQLStateMapping.java:101)atoracle.jdbc.driver.DatabaseError.newSQLException(DatabaseError.java:133)atoracle.jdbc.driver.DatabaseError.throwSqlException(DatabaseError.java:199)atoracle.jdbc.driver.DatabaseError.throwSqlException(DatabaseError.java:263)atoracle.jdbc.driver.DatabaseError.throwSqlException(DatabaseError.java:271)atoracle.jdbc.driver.DatabaseError.throwSqlException(DatabaseError.java:445)atoracle.jdbc.driver.T4CMAREngine.unmarshalUB1(T4CMAREngine.java:1059)atoracle.jdbc.driver.T4CMAREngine.unmarshalSB1(T4CMAREngine.java:1016)atoracle.jdbc.driver.T4C8Oall.receive(T4C8Oall.java:589)atoracle.jdbc.driver.T4CPreparedStatement.doOall8(T4CPreparedStatement.java:194)atoracle.jdbc.driver.T4CPreparedStatement.executeForDescribe(T4CPreparedStatement.java:791)atoracle.jdbc.driver.T4CPreparedStatement.executeMaybeDescribe(T4CPreparedStatement.java:866)atoracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:1188)atoracle.jdbc.driver.OraclePreparedStatement.executeInternal(OraclePreparedStatement.java:3386)atoracle.jdbc.driver.OraclePreparedStatement.executeQuery(OraclePreparedStatement.java:3430)atoracle.jdbc.driver.OraclePreparedStatementWrapper.executeQuery(OraclePreparedStatementWrapper.java:1491)atweblogic.jdbc.wrapper.PreparedStatement.executeQuery(PreparedStatement.java:135)atsun.reflect.GeneratedMethodAccessor180.invoke(UnknownSource)atsun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)atjava.lang.reflect.Method.invoke(Method.java:616)atorg.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler.continueInvocation(AbstractStatementProxyHandler.java:122)...59more<br />
<h2>解决方案</h2>
<p>解决方案二：<br />是不是驱动包的问题，要不换个驱动包试试<br />解决方案三：<br />是不是连接池的问题，修改配置试试<br />解决方案四：<br />应该是连接池配置问题访问的过多达到上限连接池没有设置自动重新请求连接</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 08:07:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/hibernate/" title="Hibernate">Hibernate</a>, <a href="https://www.iamivan.net/tag/weblogic/" title="weblogic">weblogic</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>程序中hibernate怎样实现多个数据库多表互相联查的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmRy3z.html" rel="bookmark">link 中在一个程序中能不能使用2个数据库，主从数据库怎么相互备份？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 link 中在一个程序中能不能使用2个数据库,主从数据库怎么相互备份? link 中在一个程序中能不能使用2个数据库,主从数据库怎么相互备份? 解决方案 可以啊,你可以定义多个edmx,每个映射到一个数据库上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDYZOBb.html" rel="bookmark">Android程序中读取使用已有的SQLite数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一: 先在 Manifest 里添加权限: &lt;span style=&quot;font-size:12px;&quot;&gt;&lt;uses-permission android:name=&quot;android.permission.WRITE_EXTERNAL_STORAGE&quot; /&gt; &lt;uses-permission android:name=&quot;android.permission.MOUNT_UNMOUNT_FILESYSTEMS&quot; /&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7wJ0z.html" rel="bookmark">我在使用VS写asp&period;net，web应用程序中如何连sql server 接数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我在使用VS写asp.net,web应用程序中如何连sql server 接数据库 10C 在web程序中我需要连接数据库,使用其中的数据.怎样才能用js与我的sql server2012连接,有没有具体的列子啊!新手求大神解答. 解决方案 用js与数据库连接还是第一次听说,你如果需要执行数据操作是需要后端语言的,Web应用在后台代码中可以用ADO.NET技术来进行数据操作.可以前台js 使用Ajax Post后者Get请求后端接口,后端进行数据库的增删改查.如果是服务器控件直接在事件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bolV1vM.html" rel="bookmark">在程序中直接设定待连接的数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在ASP程式当中,直接设定待连接的数据库呢?这个方法即所谓的「DSN-less」法. 第一个方法在 [ODBC] 新建一个系统资料来源,有时候用起来并不方便,譬如当网站服务器不在身旁.或向ISP租用虚拟主机时,这时候并不方便跑到网站服务器的 [ODBC] 中去新建一个系统资料来源. 于是ASP提供了一个直接在ASP程式码中指定所要连接的数据库的方法,使用「Server.CreateObject」建立连接的对象后,使用「Open」直接连接到待存取查询数据库,对在Access数据库而言,数据库连			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL9Kab.html" rel="bookmark">浅析java程序中hibernate的应用总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				hibernate可以理解为是一个中间件它负责把java程序的sql语句接收过来发送到数据库,而数据库返回来的信息hibernate接收之后直接生成一个对象传给java   我们知道如果用java连接数据库,大量的SQL代码,我们就想通过一种工具来操作数据库, 我们首先想到的就是JDBC,但是想更好的针对类的属性进行操作,我们会选择Hibernate. 那么Hibernate 原理是什么呢?hibernate可以理解为是一个中间件它负责把java程序的sql语句接收过来发送到数据库, 而数据库返			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q696p.html" rel="bookmark">浅析java程序中hibernate的应用总结&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道如果用java连接数据库,大量的SQL代码,我们就想通过一种工具来操作数据库,我们首先想到的就是JDBC,但是想更好的针对类的属性进行操作,我们会选择Hibernate. 那么Hibernate 原理是什么呢?hibernate可以理解为是一个中间件它负责把java程序的sql语句接收过来发送到数据库,而数据库返回来的信息hibernate接收之后直接生成一个对象传给java. 一  首先我们先了解一下hibernate的工作7个流程:1.读取并解析配置文件   2.创建SessionF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2JmrM.html" rel="bookmark">Oracle中如何设置EXCLUDE后STANDBY数据库只读表空间的恢复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在STANDBY数据库利用RMAN恢复主库上EXCLUDE的只读表空间,碰到了问题. 数据库恢复完成,但是恢复被主库EXCLUDE的只读表空间时,发现无法进行恢复: RMAN&gt; restore tablespace clubstat2_bak; Starting restore at 14-FEB-11 allocated channel: ORA_DISK_1 channel ORA_DISK_1: sid=1094 devtype=DISK file 22 is excluded from			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9vKmdp.html" rel="bookmark">关于表关联，在表中不显示，在程序中表现问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我们公司的表之间的关联关系不在建表时显示,在程序中建立model层时显示.有哪位指点一下怎么显示表之间的各种关系啊(在实体类中)???补充:不用hibernate等框架 问题补充:飞雪无情 写道 解决方案 不普遍,我们的关联最后在建表的时候还是体现在表里的..打开一些数据库管理工具就能看出来哪个表和哪个表关联,使用了什么字段关联!解决方案二:啊.还有这样的.那就看你们的设计文档吧,还有UML图啥的,那里有实体类与实体类之间的关系,还有一些你们定义或者用到的规范.或者你自己看程序源代码,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp59m7p.html" rel="bookmark">Java数据库程序中的存储过程设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|存储过程|设计|数据|数据库 本文阐述了怎么使用DBMS存储过程.阐述了使用存储过程的基本的和高级特性,比如返回ResultSet.本文假设你对DBMS和JDBC已经非常熟悉,也假设你能够毫无障碍地阅读其它语言写成的代码(即不是Java的语言),但是,并不要求你有任何存储过程的编程经历. 存储过程是指保存在数据库并在数据库端执行的程序.你可以使用特殊的语法在Java类中调用存储过程.在调用时,存储过程的名称及指定的参数通过JDBC连接发送给DBMS,执行存储过程并通过连接(如果有)返回结果			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5N6mz.html" rel="bookmark" class="title">TOTOLINK路由器WiFi设置教程</a>
					<div>
						  TOTOLINK路由器WiFi设置网址是多少?TOTOLINK路由器无线WiFi怎么设置?首先说明一下,本文介绍的内容,适合新手.小白级用户阅读,有经验的用户完全可以飘过. TOTOLINK路由器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGON2z.html" rel="bookmark" class="title">避免在 SQL Server 中盲目地追求一句处理</a>
					<div>
						server 问题描述        业务需求如下:        有表A和表B,这两个表结构一致,为不同的业务服务,现在要写一个存储过程,存储过程接受一个参数,当参数为0时,查询表A,参数为1时,查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyx28b.html" rel="bookmark" class="title">DotNET WinForm FAQ 16个（下）</a>
					<div>
						9. 如何制作一个MDI的窗体 1. 建立一个新的Windows Application项目 2. 分别加入两个窗体Form1 .Form2 3. 设置Form1的IsMdiContainer属性为T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO2j4b.html" rel="bookmark" class="title">Flash绘制精致矢量图：逼真土豆</a>
					<div>
						本教程中我们用Flash 8的绘图功能描绘一幅精致的矢量图像--逼真土豆.步骤简单易操作,而且效果非常棒. 首先让我们先看一下制作完成之后的效果,如图1所示. 图1 现在我们开始制作: 第一步:创建虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91W6KM.html" rel="bookmark" class="title">将 Ajax 带入 Eclipse 的 Ajax Toolkit Framework 的两个工具</a>
					<div>
						IBM 致力于启动新 Open Ajax Initiative 的目的是希望通过 Eclipse Foundation 增加对强大 Web 编程技术的支持.为了帮助开发人员为使用新工具集做好准备,本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyroVdp.html" rel="bookmark" class="title">IE浏览器打不开部分网页怎么办</a>
					<div>
						IE浏览器打不开部分网页怎么办 如果是XP系统: 开始-----运行-----(或直接WIN+R),输入&quot;regsvr32 jscript.dll &quot;,回车:然后再输入regsvr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7Oy3M.html" rel="bookmark" class="title">在Windows7系统的任务栏时间区显示农历和天气的方法</a>
					<div>
						有朋友在微博上问,这篇文章截图中的Windows7任务栏时间区怎么显示的农历,另外一件事,是有人直接评论说软媒怎么会像xxx一样,弹出个这种窗口让人感觉到很不舒服.这两个事情,都是个误会,怪我们之前没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EkkkM.html" rel="bookmark" class="title">路由器设置中的dhcp是什么&quest;</a>
					<div>
						  电脑十万个为什么平台最新网友问题解答:路由器设置中的dhcp是什么? 需要保持着启动状态吗? 动态主机设置协议(Dynamic Host Configuration Protocol, DHCP) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYYXlb.html" rel="bookmark" class="title">PS新手教程：防止PS崩溃的四个小技巧</a>
					<div>
						  对你来说,Photoshop会经常崩溃吗?笔者相信,只要PS崩溃过一次,你就不会忘了当时烦闷暴躁到想要砸电脑的心情.PS崩溃,不仅仅会让你正在努力创作的作品遭到破坏,还会给你带来挫折感,让你错过了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBB5nz.html" rel="bookmark" class="title">JS制作简单的三级联动</a>
					<div>
						 本文给大家分享的是使用javascript实现的一个简单的三级联动菜单,非常简单实用,有需要的小伙伴过来参考下吧.     用javascript制作的一个简单三级联动,非常简单实用   代码如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLdkOb.html" rel="bookmark" class="title">Linux 任务控制&lpar;bg job fg nohup &amp;amp&semi;amp&semi;&rpar;</a>
					<div>
						一. 简介      Linux/Unix 区别于微软平台最大的优点就是真正的多用户,多任务.因此在任务管理上也有别具特色的管理思想. 我们知道,在 Windows 上面,我们要么让一个程序作为服务在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NagLM.html" rel="bookmark" class="title">java 文本域-关于向文本域中添加文字的问题</a>
					<div>
						问题描述 关于向文本域中添加文字的问题 我每一次设置文本域的内容都会覆盖以前的内容,我不想这样,怎么办呀 解决方案 先获取原本的内容,然后在设置前把内容拼接起来					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7ewOz.html" rel="bookmark" class="title">【源码】Word转PDF V1&period;0&period;1 小软件，供新手参考</a>
					<div>
						昨天有一朋友让我帮忙找一款Word转PDF的软件,今天自己捣鼓出点成果封装个Helper供大家使用~  开源地址:https://github.com/dunitian/WordConvertPDF  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV7O5b.html" rel="bookmark" class="title">初始化字符串的格式不符合规范</a>
					<div>
						问题描述 插入数据库的问题,三个字段插入数据库提示出错了.小弟刚接触.net不久.protectedvoidButton2_Click(objectsender,EventArgse){//建立数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rl6rp.html" rel="bookmark" class="title">Google I&sol;O 2017 大会时间表出炉：安卓 8&period;0 时代来临</a>
					<div>
						虽然距离谷歌 I/O 2017 大会开幕还有一个多月的时间,但谷歌在今天已经悄悄放出大会时间表,首场会议将在美国时间 5 月 17 日上午十点在加州举办,所有会议议程将在谷歌 I/O 官网上公布. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDekGlb.html" rel="bookmark" class="title">2014级学生程序设计学习大数据</a>
					<div>
						2014级&lt;程序设计基础(二)&gt;正式结束,按惯例将数据做个整理.无论师生,都可以从中找出值得自己总结的东西. 程序设计的水平,让代码行来说话.没有有效积累的,抽出时间,希望还在. 一.发表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWljljp.html" rel="bookmark" class="title">关于c&plus;&plus;中均值滤波求助</a>
					<div>
						问题描述 关于c++中均值滤波求助 关于c++6.0中,每隔100ms采集一个数据,5次之后在求均值,显示出来.循环做下去.也就是均值滤波.求助一下,这个思路应该怎样写呢?最好有大致步骤 解决方案 图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nLWAz.html" rel="bookmark" class="title">android viewpager-android studio怎么没有找到ViewerSwitcher控件啊</a>
					<div>
						问题描述 android studio怎么没有找到ViewerSwitcher控件啊 是不是没用了 还有什么其他方法吗 还有GridView点击事件切换布局如何实现 解决方案 有的,是不是你的自动提示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy4r3z.html" rel="bookmark" class="title">求个正则表达式</a>
					<div>
						问题描述 &lt;pclass=&quot;ProfileTweet-textjs-tweet-textu-dir&quot;lang=&quot;en&quot;dir=&quot;ltr&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQKYYp.html" rel="bookmark" class="title">大三学生关于实习和考研的安排</a>
					<div>
						[私信] 您好,我是大三计算机学生,就读985高校,学习了很多知识,有的自己掌握还好,有的还很肤浅, 例如编译原理,概率论,学了这么多知识完全串在一起很有难度,我想大三之后去实习,体会软件工程,数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmEeAz.html" rel="bookmark" class="title">Go语言使用HTTP包创建WEB服务器的方法&lowbar;Golang</a>
					<div>
						本文实例讲述了Go语言使用HTTP包创建WEB服务器的方法.分享给大家供大家参考,具体如下: 在Golang中写一个http web服务器大致是有两种方法: 1 使用net包的net.Listen来对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NEaPb.html" rel="bookmark" class="title">浅析jQuery中常用的元素查找方法总结&lowbar;jquery</a>
					<div>
						$(&quot;#myELement&quot;) 选择id值等于myElement的元素,id值不能重复在文档中只能有一个id值是myElement所以得到的是唯一的元素 $(&quot;div&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgELO8z.html" rel="bookmark" class="title">javascript 密码强弱度检测万能插件&lowbar;javascript技巧</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmKX6z.html" rel="bookmark" class="title">Javascript 自定义类型方法小结&lowbar;javascript技巧</a>
					<div>
						1. 定义类型 复制代码 代码如下: function UserObject(parameter) { } parameter 可省略,相当于C#中构造函数参数. 2. 实例化自定义类型 复制代码 代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYanWb.html" rel="bookmark" class="title">CSS3中实现文字扫光效果代码</a>
					<div>
						CSS3 实现的文字扫光效果,几乎可以和 Flash 相媲美了 效果解析 我们分析一下实现这个效果需要实现的功能: 实现一个扫光背景块,因为光是移动的,所以要加入渐变效果 (例如: 手电筒照射的一小块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8gvZb.html" rel="bookmark" class="title">一个关于自定义数据模型的问题，高手请进</a>
					<div>
						问题描述 问题是这样的,要实现的是一个网站管理系统,基础表baseArticle,字段设计包含网站所有页面欲展现内容的基础数据,idnvarchar(50)ID(主键)titlenvarchar(10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYwPVb.html" rel="bookmark" class="title">jquery-jQuery如何获取HTML页面里的一些文本？</a>
					<div>
						问题描述 jQuery如何获取HTML页面里的一些文本? 如题,jQuery如何获取HTML页面里的一些文本,比如选择&quot;你好&quot;,然后将这些&quot;你好&quot;返回以便进行进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GG0lM.html" rel="bookmark" class="title">如何使用C&num;读取日文字符</a>
					<div>
						问题描述 我现在想要从.txt文件中,读取带有日文的内容,并且使用读取的字符串,写入到另一个文件中,使用java进行读取没有问题,但是在C#中我现在还没找到合适的方法,在文件中同时存在英文字符和日文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWkQZp.html" rel="bookmark" class="title">一个网站程序是由asp&period;net写的，里面的代码大多数封装到了dll里面，dll能在被编译么！？又办法没？</a>
					<div>
						问题描述 一个网站程序是由asp.net写的,里面的代码大多数封装到了dll里面,dll能在被编译么!?有办法没?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YAOyb.html" rel="bookmark" class="title">快钱称有信心拿到支付牌照</a>
					<div>
						本报讯 (记者彭梧)快钱公司昨日下午发布声明称,对申请取得&lt;支付业务许可证&gt;充满信心. 6月21日,央行公布&lt;非金融机构支付服务管理办法&gt;(下称&lt;办法&gt;),非金融机 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
